$('#FormExtract').submit(function(event) {
  event.preventDefault();

  var $this = $(this),
    data = $this.serializeObject();
  string = '';

  for (var key in data) {
    if (data[key]) {
      string += '&' + key + '=' + data[key];
    }
  }

  location.href = $this.attr('action') + string;
});

$('.date-filter').datepicker({
  dateFormat: 'dd/mm/yy',
  closeText: 'Fechar',
  prevText: '&#x3c;Anterior',
  nextText: 'Pr&oacute;ximo&#x3e;',
  currentText: 'Hoje',
  numberOfMonths: 1,
  maxDate: new Date(),
  defaultDate: '-1m',
  monthNames: [
    'Janeiro',
    'Fevereiro',
    'Mar&ccedil;o',
    'Abril',
    'Maio',
    'Junho',
    'Julho',
    'Agosto',
    'Setembro',
    'Outubro',
    'Novembro',
    'Dezembro',
  ],
  monthNamesShort: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
  dayNames: ['Domingo', 'Segunda-feira', 'Ter&ccedil;a-feira', 'Quarta-feira', 'Quinta-feira', 'Sexta-feira', 'Sabado'],
  dayNamesShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sab'],
  dayNamesMin: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sab'],
  weekHeader: 'Sm',
  isRTL: false,
  showMonthAfterYear: false,
});
